Create multiple accesspoints. Any invalid format accesspoints return a list of errors.

POST /users/accesspoints/bulk

Operation id: AccesspointService_CreateAccesspoints

Description

Permission Level: Read-Write

Tags: AccesspointService

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
accesspointsarrayNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "accesspoints": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "siteId": {
            "type": "string"
          },
          "bssid": {
            "type": "string"
          },
          "assetName": {
            "type": "string"
          },
          "displayName": {
            "type": "string"
          }
        }
      }
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

{
  "type": "object",
  "properties": {}
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}